## libutempter 1.1.5

=== debian/changelog ===
libutempter (1.1.5-4build1) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Oct 2012 09:43:01 +0100

libutempter (1.1.5-4) unstable; urgency=low

  * Use getent instead of grep /etc/group. (Closes: #614258)

 -- Fathi Boudra <fabo@debian.org>  Mon, 21 Feb 2011 14:10:59 +0200

libutempter (1.1.5-3) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * Update debian/control:
    - Bump debhelper build dependency version to 7.4.15.
    - Bump Standards-Version to 3.8.3 (no changes needed).
  * Update debian/rules:
    - Enable parallel build ().
    - List missing files ().
    - Call chown before chmod.
    - Change utempter permissions to world-readable (2755). (Closes: #573015)
  * Update debian/libutempter0.lintian-overrides file.
  * Add debian/libutempter0.symbols file.

 -- Fathi Boudra <fabo@debian.org>  Thu, 22 Apr 2010 14:19:47 +0300

libutempter (1.1.5-2) unstable; urgency=low

  * Update debian/control:
    - Add dependency on adduser to libutempter0.
    - Bump Standards-Version to 3.8.3 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Sat, 29 Aug 2009 09:52:07 +0200

libutempter (1.1.5-1) unstable; urgency=low

  * Initial release. (Closes: #541021)

 -- Fathi Boudra <fabo@debian.org>  Tue, 11 Aug 2009 09:55:23 +0200
