=== debian/control ===
Source: libutempter
Priority: optional
Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.4.15)
Standards-Version: 3.9.1
Section: libs
Homepage: http://freshmeat.net/projects/libutempter

Package: libutempter-dev
Section: libdevel
Architecture: any
Depends: libutempter0 (= ${binary:Version}), ${misc:Depends}
Description: A privileged helper for utmp/wtmp updates (development)
 The libutempter library provides interface for terminal emulators such as
 screen and xterm to record user sessions to utmp and wtmp files.
 .
 This package contains development files required to build
 utempter-based software.

Package: libutempter0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Description: A privileged helper for utmp/wtmp updates (runtime)
 The libutempter library provides interface for terminal emulators such as
 screen and xterm to record user sessions to utmp and wtmp files.
 .
 The utempter is a privileged helper used by libutempter library to manipulate
 utmp and wtmp files.
