=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --list-missing

override_dh_fixperms:
	dh_fixperms
	chown root:utmp debian/libutempter0/usr/lib/utempter/utempter
	chmod 2755 debian/libutempter0/usr/lib/utempter/utempter

.PHONY: override_dh_auto_test
