## libutempter 1.1.6

=== debian/changelog ===
libutempter (1.1.6-4) unstable; urgency=medium

  * Set myself as new maintainer (Closes: #879388)
  * Update vcs fields accordingly
  * Bump to compat level 12
  * Bump to std version 4.4.1
  * Enable all hardening options in d/rules
  * Add autopkg testsuite
  * Convert d/copyright to machine-readable format
  * Add standard salsa-ci configuration, exclude reprotest for chown failures
  * Remove unneeded ignore file for list-missing
  * Explicit set Build-Depends-Package in d/libutempter0.symbols
  * Explicit set Rules-Requires-Root to binary-targets
  * Add C compiler -Wextra flag in d/rules
  * Patches:
    - Convert to gbp style
    - add: Mark old interfaces as deprecated
    - add: Validate given hostname (Closes: #689562)

 -- Christian Göttsche <cgzones@googlemail.com>  Mon, 30 Sep 2019 23:37:44 +0200

libutempter (1.1.6-3) unstable; urgency=medium

  * Team upload.
  * Drop the postinst script, the files that were getting chowned are in a
    different location now, no chown needed. (Closes: #814647) Thanks to
    Andreas Beckmann for reporting.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 18 Feb 2016 19:47:33 +0100

libutempter (1.1.6-2) unstable; urgency=medium

  * Team upload.
  * Merge with Ubuntu. (Closes: #812956)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 09 Feb 2016 19:43:36 +0100

libutempter (1.1.6-1ubuntu1) xenial; urgency=medium

  * Multiarchify the library packages.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jan 2016 03:34:45 +0100

libutempter (1.1.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch to debhelper compat level 9.
    - Exports build flags.
  * Don't overwrite build flags from the environment in the Makefile.
    - Add Add keep_env_build_flags.diff
  * Add a watch file, thanks to David Gilman. (Closes: #747483)
  * Add Vcs-* control fields.
  * Improve package descriptions.
  * Retire utempter system group. (Closes: #698858, #545184)
    - Make /usr/lib/utempter root:root owned. (Closes: #698590)
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Enable hardening flags pie and bindnow. (Closes: #759751)
    - Add filter_pie_shared_lib.diff so the PIE flags are filtered when
      building the shared library.

 -- Felix Geyer <fgeyer@debian.org>  Sat, 13 Jun 2015 16:56:04 +0200
