=== debian/control ===
Source: libutempter
Priority: optional
Maintainer: Christian Göttsche <cgzones@googlemail.com>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.4.1
Rules-Requires-Root: binary-targets
Section: libs
Homepage: http://git.altlinux.org/people/ldv/packages/?p=libutempter.git
Vcs-Browser: https://salsa.debian.org/cgzones-guest/libutempter
Vcs-Git: https://salsa.debian.org/cgzones-guest/libutempter.git

Package: libutempter-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libutempter0 (= ${binary:Version}), ${misc:Depends}
Description: privileged helper for utmp/wtmp updates (development)
 The libutempter library provides interface for terminal emulators such as
 screen and xterm to record user sessions to utmp and wtmp files.
 .
 This package contains development files required to build
 utempter-based software.

Package: libutempter0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: privileged helper for utmp/wtmp updates (runtime)
 The libutempter library provides interface for terminal emulators such as
 screen and xterm to record user sessions to utmp and wtmp files.
 .
 The utempter is a privileged helper used by libutempter library to manipulate
 utmp and wtmp files.
