=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wextra

%:
	dh $@

override_dh_fixperms:
	dh_fixperms
	chown root:utmp debian/libutempter0/usr/lib/$(DEB_HOST_MULTIARCH)/utempter/utempter
	chmod 2755 debian/libutempter0/usr/lib/$(DEB_HOST_MULTIARCH)/utempter/utempter

override_dh_missing:
	dh_missing --fail-missing
