=== debian/tests/control ===
Tests: test-helper, test-library1, test-library2
Depends: @, build-essential
