## libutempter 1.2.1

=== debian/changelog ===
libutempter (1.2.1-4) unstable; urgency=medium

  * d/control: bump to std version 4.7.0 (no further changes)
  * d/rules: enable LTO
  * d/salsa-ci.yml: enable build twice job
  * d/copyright: bump year
  * d/patches: ignore failure on nonexistent utmp (Closes: #1085482)
  * d/tests: skip tests if utmp file does not exist

 -- Christian Göttsche <cgzones@googlemail.com>  Tue, 12 Nov 2024 21:49:18 +0100

libutempter (1.2.1-3) unstable; urgency=medium

  * d/control:
    - use https link in homepage
    - bump to std version 4.6.2 (no further changes)
  * d/rules: make use of execute_after_
  * d/libutempter0.lintian-overrides: update format
  * d/copyright: correct license of utempter.3 and update years
  * d/patches: cherry-pick commit logging PPID on error
  * d/upstream: add minimal metadata

 -- Christian Göttsche <cgzones@googlemail.com>  Sun, 26 Feb 2023 16:21:54 +0100

libutempter (1.2.1-2) unstable; urgency=medium

  * d/control: bump to std version 4.5.1 (no further changes)
  * d/patches:
    - add patch to silence successful invocations (Closes: #976398)
    - multiarch-location: update authorship
    - use upstream patch for printing invalid character

 -- Christian Göttsche <cgzones@googlemail.com>  Sat, 05 Dec 2020 20:05:13 +0100

libutempter (1.2.1-1) unstable; urgency=medium

  * New upstream version 1.2.1

  * Make autopkgtests cross-test-friendly
    Based on Ubuntu patch by Steve Langasek <steve.langasek@ubuntu.com>
  * d/control:
    - bump to debhelper compat level 13
    - update vcs fields
  * debian: run wrap-and-sort
  * d/watch: scan for .tar.gz and bump version
  * d/upstream/signing-key.asc: update key to A8041FA839E16E36
  * d/copyright: update years
  * d/patches: drop patches incorporated upstream and rebase

 -- Christian Göttsche <cgzones@googlemail.com>  Sat, 24 Oct 2020 21:31:47 +0200

libutempter (1.1.6-6) unstable; urgency=medium

  * d/patches: silence all intentional omits of copying null-character
    Should fix FTBFS on kfreebsd

 -- Christian Göttsche <cgzones@googlemail.com>  Thu, 16 Apr 2020 20:30:17 +0200

libutempter (1.1.6-5) unstable; urgency=medium

  * d/rules: fail on compiler warnings
  * d/control: bump to std version 4.5.0 (no further changes)
  * d/patches:
    - resolve/silence compiler warnings
    - cast to unsigned char before character handling function
    - log errors in setgid helper to syslog
  * d/upstream/signing-key.asc: re-export key without extra signatures

 -- Christian Göttsche <cgzones@googlemail.com>  Tue, 14 Apr 2020 20:14:41 +0200
