=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: libutempter
 Priority: optional
 Maintainer: Christian Göttsche <cgzones@googlemail.com>
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.0
 Rules-Requires-Root: binary-targets
 Section: libs
-Homepage: http://git.altlinux.org/people/ldv/packages/?p=libutempter.git
-Vcs-Browser: https://salsa.debian.org/cgzones-guest/libutempter
-Vcs-Git: https://salsa.debian.org/cgzones-guest/libutempter.git
+Homepage: https://git.altlinux.org/people/ldv/packages/?p=libutempter.git
+Vcs-Browser: https://salsa.debian.org/cgzones/libutempter
+Vcs-Git: https://salsa.debian.org/cgzones/libutempter.git
 
 Package: libutempter-dev
 Section: libdevel
@@ -25,7 +25,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: privileged helper for utmp/wtmp updates (runtime)
  The libutempter library provides interface for terminal emulators such as
  screen and xterm to record user sessions to utmp and wtmp files.
