=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
export DEB_CFLAGS_MAINT_APPEND = -Werror -Wextra
export DEB_CPPFLAGS_MAINT_APPEND = -DUTEMPTER_LOG

%:
	dh $@

execute_after_dh_fixperms:
	chown root:utmp debian/libutempter0/usr/lib/$(DEB_HOST_MULTIARCH)/utempter/utempter
	chmod 2755 debian/libutempter0/usr/lib/$(DEB_HOST_MULTIARCH)/utempter/utempter
