=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
 http://ftp.altlinux.org/pub/people/ldv/utempter/libutempter-([\d\.]+)\.tar\.(?:bz2|gz)
